const output = require('./utils/output')
const { getConfig } = require('./utils/config')
const { deleteDeployment } = require('./utils/kubernetes')

module.exports = async function deleteCmd() {
  const config = await getConfig()
  const clusterName = output.param(config.cluster)
  const rbacUser = output.param(config.user)
  const { name } = config

  output.info(
    `Deleting ${output.param(name)} from ${clusterName} as ${rbacUser}\n`
  )

  const stopDeleteTimer = output.time()

  try {
    await deleteDeployment(config)

    output.success(`${output.param(name)} was deleted`)
  } catch (err) {
    output.error(`There was an issue deleting ${output.param(name)}`)
    console.log(err)
  }
}
