const { sshIntoPod, getClusterInfo } = require('./utils/kubernetes')
const output = require('./utils/output')

module.exports = async function ssh({ podName }) {
  const { cluster, user } = await getClusterInfo()
  const clusterName = output.param(cluster)
  const rbacUser = output.param(user)
  const podText = output.param(podName)

  output.info(`Connecting to ${podText} on ${clusterName} as ${rbacUser}\n`)

  try {
    await sshIntoPod({ podName })
  } catch (err) {
    throw err
  }
}
